Summary:	A collection of LADSPA plugins from Computer Music Toolkit
Summary(pl.UTF-8):	Kolekcja wtyczek LADSPA z projektu Computer Music Toolkit
Name:		ladspa-cmt-plugins
Version:	1.17
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://www.ladspa.org/download/cmt_%{version}.tgz
# Source0-md5:	ce10250b30219ee8392a97266e95fa16
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-compile.patch
URL:		http://www.ladspa.org/
BuildRequires:	ladspa-devel
BuildRequires:	libstdc++-devel
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Computer Music Toolkit (CMT) is a collection of LADSPA plugins for
use with software synthesis and recording packages on Linux.

%description -l pl.UTF-8
Computer Music Toolkit jest kolekcją wtyczek LADSPA do użytku z
syntezatorami programowymi i programami nagrywającymi dźwięk pod
Linuksem.

%prep
%setup -q -n cmt_%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} -C src \
	CXX="%{__cxx}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ladspa

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_PLUGINS_DIR=%{_libdir}/ladspa

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/*.html
%attr(755,root,root) %{_libdir}/ladspa/cmt.so
%changelog
* Tue Apr 09 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ladspa-cmt-plugins.git;a=log;h=master

* Tue Apr 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 2b1b333
- updated to 1.17
- updated makefile patch

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> f00b49c
- GPL v2+

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 096e7e7
- updated to 1.16
- updated makefile patch

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> c367fc1
- updated for 1.16

* Sun Jun 17 2007 Szymon Siwek <sls@pld-linux.org> 012e3c3
- added compile.patch

* Sun Jun 17 2007 Szymon Siwek <sls@pld-linux.org> ba61abc
- cc1plus: warnings being treated as errors
  analogue.cpp: In static member function 'static void Analogue::run(void*, long unsigned int)':
  analogue.cpp:259: warning: 'a' may be used uninitialized in this function
  (I feel confused by this warning and patch)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e723437
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2d46371
- converted to UTF-8

* Mon Oct 04 2004 havner <havner@pld-linux.org> 27df1c3
- fix build on amd64

* Mon Oct 04 2004 havner <havner@pld-linux.org> 005e000
- wrr

* Mon Oct 04 2004 havner <havner@pld-linux.org> 89e4094
- fix amd64 build

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 8516567
- fixed changelog trailer

* Mon Aug 04 2003 Jakub Bogusz <qboosh@pld-linux.org> 67ed329
- cleanups, BR: libstdc++-devel, R: ladspa-common

* Thu Jun 19 2003 freetz <freetz@pld-linux.org> e719df4
- fixed descriptions, pointed by Jacek Konieczny

* Thu Jun 19 2003 freetz <freetz@pld-linux.org> 7c83cb2
- initial release

* Thu Jun 19 2003 freetz <freetz@pld-linux.org> 0a98a48
- new, makefile fixes

